/* Selettore standard placeholder per tutti gli input e textarea */
.catalogo-filter input::placeholder,
.catalogo-filter textarea::placeholder {
    color: var(--wine-light) !important;
    opacity: 1; /* Fondamentale per Firefox */
}
/* Chrome, Firefox, Opera, Safari 10.1+ */
::placeholder {
    color: var(--wine-light);
    opacity: 1;
}
/* Internet Explorer 10-11 */
:-ms-input-placeholder {
    color: var(--wine-light) !important;
}
/* Microsoft Edge */
::-ms-input-placeholder {
    color: var(--wine-light) !important;
}


.ts-control {
	padding: 1.3rem .75rem !important;
}



/* --- Stili per il Blocco Pagina (Overlay) --- */
#loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(172, 109, 139, 0.95); /* Sfondo bianco leggermente trasparente */
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

/* --- Stile del testo (opzionale) --- */
#loader-wrapper p {
    margin-top: 20px;
    color: var(--yellow-default);
    font-weight: bold;
    letter-spacing: 1px;
}

/* --- Animazione del Logo --- */
.logo-animated {
    width: 180px;
    animation: pulse 1.5s infinite ease-in-out;
}

/* Definiamo come funziona l'animazione "pulse" */
@keyframes pulse {
    0% { 
        transform: scale(0.9); 
        opacity: 0.8;          
    }
    50% { 
        transform: scale(1.1); 
        opacity: 1;           
    }
    100% { 
        transform: scale(0.9);
        opacity: 0.8;
    }
}
